---
editUrl: false
next: false
prev: false
title: "makePlugin"
---

> **makePlugin**\<`V`\>(`type`, `execute`): [`Plugin`](/v4/api/interfaces/plugin/)\<`V`\>

## Type parameters

• **V** *extends* `unknown`[]

## Parameters

• **type**: [`PluginType`](/v4/api/enumerations/plugintype/)

• **execute**

## Returns

[`Plugin`](/v4/api/interfaces/plugin/)\<`V`\>

## Source

[src/core/create-plugins.ts:5](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/create-plugins.ts#L5)
